--- debathena-liblocker-10.0.0.orig/debian/debathena-liblocker.dirs
+++ debathena-liblocker-10.0.0/debian/debathena-liblocker.dirs
@@ -0,0 +1,4 @@
+etc/athena
+var/run/attachtab/directory
+var/run/attachtab/mountpoint
+var/run/attachtab/locker
--- debathena-liblocker-10.0.0.orig/debian/control
+++ debathena-liblocker-10.0.0/debian/control
@@ -0,0 +1,27 @@
+Source: debathena-liblocker
+Section: debathena/libs
+Priority: extra
+Maintainer: Debian-Athena Project <debathena@mit.edu>
+Build-Depends: cdbs (>= 0.4.23-1.1), autotools-dev, debhelper (>= 4.2.0), autoconf, libopenafs-dev, libkrb5-dev, libhesiod-dev, libzephyr-dev, libzephyr3-krb
+Standards-Version: 3.7.2
+
+Package: debathena-liblocker
+Architecture: all
+Provides: liblocker
+Conflicts: debathena-attach (<< 9.4)
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Runtime files for Athena locker management library
+ Locker management library functions for Athena.
+ .
+ This package contains configuration and runtime files.
+
+Package: debathena-liblocker-dev
+Section: debathena/libdevel
+Architecture: any
+Provides: liblocker-dev
+Replaces: debathena-liblocker (<< 9.4)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libopenafs-dev, libkrb5-dev, libhesiod-dev, libzephyr-dev, libzephyr3-krb
+Description: Development files for Athena locker management library
+ Locker management library functions for Athena.
+ .
+ This package contains headers and static libraries for development.
--- debathena-liblocker-10.0.0.orig/debian/debathena-liblocker-dev.install
+++ debathena-liblocker-10.0.0/debian/debathena-liblocker-dev.install
@@ -0,0 +1,3 @@
+usr/lib/*.a
+usr/share/man/man*/*
+usr/include/*
--- debathena-liblocker-10.0.0.orig/debian/debathena-liblocker.init
+++ debathena-liblocker-10.0.0/debian/debathena-liblocker.init
@@ -0,0 +1,42 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides:          attachtab
+# Required-Start:    $local_fs
+# Required-Stop:
+# Default-Start:     S
+# Default-Stop:
+# Short-Description: Creates attachtab.
+# Description:       Creates /var/run/attachtab.
+### END INIT INFO
+
+if [ -e /lib/lsb/init-functions ]; then
+    . /lib/lsb/init-functions
+else
+    alias log_action_begin_msg="echo -n"
+    log_action_end_msg () {
+	echo .
+    }
+fi
+
+case "$1" in
+    start)
+	for dir in /var/run/attachtab \
+	    /var/run/attachtab/directory \
+	    /var/run/attachtab/locker \
+	    /var/run/attachtab/mountpoint; do
+	    if ! [ -e "$dir" ]; then
+		mkdir "$dir"
+		chown root:attach "$dir"
+		chmod a=rwx,g+t "$dir"
+	    fi
+	done
+	;;
+    restart|stop|force-reload)
+	;;
+    *)
+	echo "Usage: $0 {start}" >&2
+	exit 3
+	;;
+esac
+
+:
--- debathena-liblocker-10.0.0.orig/debian/debathena-liblocker.postinst
+++ debathena-liblocker-10.0.0/debian/debathena-liblocker.postinst
@@ -0,0 +1,51 @@
+#!/bin/sh
+# postinst script for debathena-liblocker
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+	# Setup attachtab directory.
+	for dir in /var/run/attachtab \
+	    /var/run/attachtab/directory \
+	    /var/run/attachtab/locker \
+	    /var/run/attachtab/mountpoint; do
+	    if ! dpkg-statoverride --list "$dir" >/dev/null; then
+		chown root:attach "$dir"
+		chmod a=rx,ug+w,g+s "$dir"
+	    fi
+	done
+	;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+	;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- debathena-liblocker-10.0.0.orig/debian/debathena-liblocker.postrm
+++ debathena-liblocker-10.0.0/debian/debathena-liblocker.postrm
@@ -0,0 +1,45 @@
+#!/bin/sh
+# postrm script for debathena-liblocker
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <overwriter>
+#          <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    purge)
+	if getent group attach >/dev/null; then
+	    delgroup --system attach || :
+	fi
+	;;
+
+    remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+	;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+	;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- debathena-liblocker-10.0.0.orig/debian/debathena-liblocker.preinst
+++ debathena-liblocker-10.0.0/debian/debathena-liblocker.preinst
@@ -0,0 +1,42 @@
+#!/bin/sh
+# preinst script for debathena-liblocker
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    install|upgrade)
+	if ! getent group attach >/dev/null; then
+	    addgroup --system attach
+	fi
+	;;
+
+    abort-upgrade)
+	;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 1
+	;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
+
+
--- debathena-liblocker-10.0.0.orig/debian/compat
+++ debathena-liblocker-10.0.0/debian/compat
@@ -0,0 +1 @@
+4
--- debathena-liblocker-10.0.0.orig/debian/control.in
+++ debathena-liblocker-10.0.0/debian/control.in
@@ -0,0 +1,27 @@
+Source: debathena-liblocker
+Section: debathena/libs
+Priority: extra
+Maintainer: Debian-Athena Project <debathena@mit.edu>
+Build-Depends: @cdbs@, libopenafs-dev, libkrb5-dev, libhesiod-dev, libzephyr-dev, libzephyr3-krb
+Standards-Version: 3.7.2
+
+Package: debathena-liblocker
+Architecture: all
+Provides: liblocker
+Conflicts: debathena-attach (<< 9.4)
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Runtime files for Athena locker management library
+ Locker management library functions for Athena.
+ .
+ This package contains configuration and runtime files.
+
+Package: debathena-liblocker-dev
+Section: debathena/libdevel
+Architecture: any
+Provides: liblocker-dev
+Replaces: debathena-liblocker (<< 9.4)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libopenafs-dev, libkrb5-dev, libhesiod-dev, libzephyr-dev, libzephyr3-krb
+Description: Development files for Athena locker management library
+ Locker management library functions for Athena.
+ .
+ This package contains headers and static libraries for development.
--- debathena-liblocker-10.0.0.orig/debian/changelog
+++ debathena-liblocker-10.0.0/debian/changelog
@@ -0,0 +1,79 @@
+debathena-liblocker (10.0.0-0debathena1) unstable; urgency=low
+
+  * Merged quilt patches into mainline Athena tree
+
+ -- Shreevatsa R <vatsa@mit.edu>  Sun,  6 Apr 2008 16:12:27 -0400
+
+debathena-liblocker (9.4.28-0debathena12) unstable; urgency=low
+
+  * Set ownercheck on and explicit-mntpt off in attach.conf.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Wed, 15 Aug 2007 22:52:29 -0400
+
+debathena-liblocker (9.4.28-0debathena11) unstable; urgency=low
+
+  * Create /var/run/attachtab on boot.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Mon, 13 Aug 2007 19:06:01 -0400
+
+debathena-liblocker (9.4.28-0debathena10) unstable; urgency=low
+
+  * Conflicts old debathena-attach.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Sun, 05 Aug 2007 04:53:03 -0400
+
+debathena-liblocker (9.4.28-0debathena9) unstable; urgency=low
+
+  * Trivial cleanup.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 17 Jul 2007 07:20:06 -0400
+
+debathena-liblocker (9.4.28-0debathena8) unstable; urgency=low
+
+  * Fix postinst to not recursively chown.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Mon, 16 Jul 2007 21:01:28 -0400
+
+debathena-liblocker (9.4.28-0debathena7) unstable; urgency=low
+
+  * Build with -fPIC on amd64.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Fri, 13 Jul 2007 18:36:37 -0400
+
+debathena-liblocker (9.4.28-0debathena6) unstable; urgency=low
+
+  * Add missing dependencies to liblocker-dev.
+  * Section: debathena/libs.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Fri, 13 Jul 2007 18:17:04 -0400
+
+debathena-liblocker (9.4.28-0debathena5) unstable; urgency=low
+
+  * Add /etc/athena/attach.conf.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 26 Jun 2007 17:54:57 -0400
+
+debathena-liblocker (9.4.28-0debathena4) unstable; urgency=low
+
+  * Oops.  Fix empty packages.
+  * Depend adduser.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Sat, 28 Apr 2007 22:52:25 -0400
+
+debathena-liblocker (9.4.28-0debathena3) unstable; urgency=low
+
+  * Configure the attachtab directory.
+
+ -- Tim Abbott <tabbott@mit.edu>  Sat, 28 Apr 2007 22:20:40 -0400
+
+debathena-liblocker (9.4.28-0debathena2) unstable; urgency=low
+
+  * Apply nelhage's setgid patch.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 24 Apr 2007 19:38:22 -0400
+
+debathena-liblocker (9.4.28-0debathena1) unstable; urgency=low
+
+  * Initial release.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Mon, 29 Jan 2007 23:58:50 -0500
--- debathena-liblocker-10.0.0.orig/debian/attach.conf
+++ debathena-liblocker-10.0.0/debian/attach.conf
@@ -0,0 +1,19 @@
+#
+# Attach configuration file
+#
+# $Id: attach.conf,v 1.6 2001/01/01 16:17:25 ghudson Exp $
+#
+# The order of the nomountpoint and mountpoint lines below is important.
+nomountpoint		^/afs ^/bin ^/boot ^/core ^/dev
+nomountpoint		^/etc ^/home ^/install ^/lib ^/lost+found
+nomountpoint		^/os ^/proc ^/root ^/sbin
+nomountpoint		^/srvd ^/tmp ^/u[0-9]* ^/usr ^/var
+nomountpoint		^/mit/[^/]*/. ^/\.
+mountpoint		/mit/[^/]*
+nomountpoint		/mit
+nosetuid		.
+defoptions {nfs}:.*	rsize=1024,wsize=1024,intr
+options {nfs}:.*	nodev
+allowoptions {nfs}:.*	ro,rw,rsize,wsize,timeo,retrans,soft,hard,actimeo,noac
+ownercheck		on
+explicit-mntpt		off
--- debathena-liblocker-10.0.0.orig/debian/copyright
+++ debathena-liblocker-10.0.0/debian/copyright
@@ -0,0 +1,20 @@
+The Athena source code was obtained from the Athena CVS repository at
+/afs/dev.mit.edu/source, and is licensed as follows:
+
+  Copyright 1996 by the Massachusetts Institute of Technology.
+
+  Permission to use, copy, modify, and distribute this
+  software and its documentation for any purpose and without
+  fee is hereby granted, provided that the above copyright
+  notice appear in all copies and that both that copyright
+  notice and this permission notice appear in supporting
+  documentation, and that the name of M.I.T. not be used in
+  advertising or publicity pertaining to distribution of the
+  software without specific, written prior permission.
+  M.I.T. makes no representations about the suitability of
+  this software for any purpose.  It is provided "as is"
+  without express or implied warranty.
+
+This Debian package was created as part of the Debian-Athena Project
+<http://web.mit.edu/debathena/www/> of the MIT Student Information
+Processing Board, and is released to the public domain.
--- debathena-liblocker-10.0.0.orig/debian/rules
+++ debathena-liblocker-10.0.0/debian/rules
@@ -0,0 +1,21 @@
+#!/usr/bin/make -f
+
+DEB_AUTO_UPDATE_DEBIAN_CONTROL = 1
+DEB_AUTO_UPDATE_AUTOCONF = 1
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/autotools.mk
+
+DEB_CONFIGURE_EXTRA_FLAGS += --with-afs=/usr --with-krb4=$(shell krb5-config --prefix krb4) --with-krb5 --with-hesiod
+DEB_DH_INSTALL_SOURCEDIR = $(DEB_DESTDIR)
+DEB_DH_INSTALLINIT_ARGS = --no-start
+DEB_UPDATE_RCD_PARAMS = "start 65 S ."
+
+ifeq ($(DEB_BUILD_ARCH),amd64)
+    CFLAGS += -fPIC
+endif
+
+common-install-indep::
+	dh_install -pdebathena-liblocker debian/attach.conf etc/athena/
+
+clean::
+	rm -f configure
